{{ define "base" }}
<!doctype html>
<html>
<head>
	<meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1,minimum-scale=1,user-scaleable=no">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="mobile-web-app-capable" content="yes">

	<link rel="stylesheet" href="/static/fontawesome/css/all.css">
	<link rel="stylesheet" href="/static/pure-min.css">
	<link rel="stylesheet" href="/static/style.css">
	<title>{{ block "fulltitle" . }}In Vino Veritas {{ block "title" . }}{{ end }}{{ end }}</title>
</head>
<body>
	<div class="pure-g">
{{ block "content" . }}
TODO
{{ end }}
	</div>
</body>
</html>
{{ end }}

{{ define "header" }}
<header class="pure-u-1">
	<div class="maxwidth box">
		{{ block "header-left" . }}{{ end }}

		{{ if .User.CanWrite }}
		<a href="/user/you" class="right">
			<i class="fas fa-user"></i> {{ .User }}
		</a>
		{{ else }}
		<a href="/user/you" class="right pure-button pure-button-primary">
			<i class="fas fa-sign-in-alt"></i> Log in
		</a>
		{{ end }}
	</div>
</header>
{{ end }}