package main

import (
	"fmt"
	"net/http"
)

const robotsTxt = `User-agent: *
Disallow: /user/`

func robots() http.Handler {
	return http.HandlerFunc(func(w http.ResponseWriter, r *http.Request) {
		fmt.Fprintln(w, robotsTxt)
	})
}
